## mythtv 0.28.0+fixes.20170206.03f4403

=== debian/changelog ===
mythtv (2:0.28.0+fixes.20170206.03f4403-0ubuntu3) zesty; urgency=medium

  * Scripted Build from fixes git packaging [9def0db]
  * Packaging changes between 20160325 and 20170206:
  * [dd75c01] use init script to be more compatible to systemd/upstart
    in backports
  * [b7c38ab] make sure to set buildroot
  * [7a4983b] cover one more pro file for mysql5.7 fix
  * New upstream checkout (03f4403)

 -- Thomas Mashos <thomas@mashos.com>  Mon, 06 Feb 2017 18:44:03 -0800

=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 9),
                quilt,
                ccache,
                yasm,
                help2man,
                qtdeclarative5-dev,
                libqt5webkit5-dev,
                libqt5opengl5-dev,
                qtscript5-dev,
                qt5-qmake,
                po-debconf,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev,
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libcrystalhd-dev [i386 amd64],
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libva-dev,
                libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libio-socket-inet6-perl,
                libdbd-mysql-perl,
                libjson-perl,
                libwww-perl,
                dh-python | python-central,
                python,
                python-oauth,
                python-lxml,
                python-mysqldb,
                python-pycurl,
                python-urlgrabber,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl1.2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libtiff5-dev | libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                libmysqlclient-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libx264-dev,
                libvpx-dev,
                libavahi-compat-libdnssd-dev,
                libssl-dev,
                libcdio-cdda-dev,
                libcdio-paranoia-dev,
                libxml2-dev,
                libass-dev,
                libcec-dev,
                libexiv2-dev,
                uuid-dev,
                libxml-xpath-perl,
                git,
                dh-systemd,
                libraspberrypi-dev [armhf] | hello,

Package: mythtv
Architecture: all
Depends: mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
         mythtv-database,
         mythtv-frontend,
         mythtv-backend,
         ntp | time-daemon | ntp-simple,
         ${misc:Depends}
Suggests: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Depends: pwgen,
         adduser,
         mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         fonts-liberation | ttf-liberation,
         fonts-droid-fallback | fonts-droid | ttf-droid,
         ttf-dejavu,
         fonts-tlwg-purisa,
         fonts-texgyre | tex-gyre,
         python,
         libxml-xpath-perl,
         pwgen,
         pciutils,
         usbutils,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: mythtv-doc
Recommends: mythtv-dbg
Conflicts: mythtv (<< 0.8-1),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols,
           mythtv-themes,
           mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-gray-osd,
           mythtv-theme-isthmus,
           mythtv-theme-blootube,
           mythtv-theme-blootube-wide,
           mythtv-theme-blootubelite-wide,
           mythtv-theme-glass-wide,
           mythtv-theme-projectgrayhem,
           mythtv-theme-proejctgrayhem-wide,
           mythtv-theme-metallurgy,
           mythtv-theme-minimalist-wide,
           mythtv-theme-retro,
           mythtv-theme-titivillus,
           mythtv-theme-iulius,
           mythtv-theme-childish,
           mythtv-theme-neon-wide
Replaces:  mythtv (<< 0.8-1),
           mythtv-frontend (<< 0.23.0~trunk23548),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols (<< 0.20.trunk19500),
           mythcontrols, mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-isthmus,
           mythtv-theme-gray-osd,
           mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythtv-database (<< 0.24.0~trunk25638),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Breaks:    mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common,
         libdbd-mysql-perl,
         mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         cron,
         ${misc:Depends}
Recommends: update-notifier | update-notifier-kde
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, gksu | kdebase-bin, xterm, python, libjs-jquery, libxml-simple-perl, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common,
         ${shlibs:Depends},
         ${misc:Depends},
         libnotify-bin,
         adduser,
         zenity | kdebase-bin,
         gksu | kdebase-bin,
         wmctrl,
         libxml-simple-perl,
         libwww-perl,
         libmyth-python,
         python,
         python-imdbpy,
Recommends: libmythtv-perl, python-imaging, udisks2 | udisks
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0), mythvideo
Breaks: mythvideo
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-0.28-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt5sql5-mysql, ${misc:Depends}
Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0
Replaces: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .

=== debian/rules ===
#!/usr/bin/make -f

#For our custom rules on all mythtv packages
# get-orig-source
# info
# newest-revision
include debian/mythtv.make

#build goes here
buildroot       := debian/tmp

# Set this to yes for releases
MYTHTV_RELEASE ?= no
ifeq (yes,$(MYTHTV_RELEASE))
MYTHTV_COMPILE_TYPE = release
else
MYTHTV_COMPILE_TYPE = profile
endif

# Use the 'profile' compile type when nostrip or noopt is used
ifneq (,$(filter nostrip noopt,$(DEB_BUILD_OPTIONS)))
MYTHTV_COMPILE_TYPE = profile
endif

## Export QT version explicitely (fixes issues for non x86/arm builders)
export QT_SELECT = 5

#                                      #
# Architecture Independent Build flags #
#                                      #
MYTHTV_CONFIGURE_OPTS +=    --compile-type=$(MYTHTV_COMPILE_TYPE) \
				--prefix=/usr \
				--runprefix=/usr \
                                --disable-mythlogserver \
				--enable-crystalhd \
				--enable-lirc \
				--enable-audio-alsa \
				--enable-audio-oss \
				--enable-dvb \
				--enable-ivtv \
				--enable-firewire \
				--enable-joystick-menu \
				--with-bindings=perl \
				--enable-ffmpeg-pthreads \
				--enable-pic \
				--perl-config-opts="INSTALLDIRS=vendor" \
				--enable-libvpx \
				--enable-sdl \
				--enable-libmp3lame \
				--enable-libx264 \
				--enable-vdpau

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl-video --disable-opengl --disable-vaapi
else
	MYTHTV_CONFIGURE_OPTS += --enable-opengl-video --enable-vaapi
endif
#                                    #
# Architecture dependent build flags #
#                                    #
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq "$(DEB_BUILD_ARCH)" "i386"
	MYTHTV_CONFIGURE_OPTS +=  --cpu=i686 --enable-mmx  
endif
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	MYTHTV_CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
endif
ifeq "$(DEB_BUILD_ARCH)" "armhf"
        MYTHTV_CONFIGURE_OPTS += --extra-cflags="-I/opt/vc/include" --extra-cxxflags="-I/opt/vc/include" --extra-cflags="-I/opt/vc/include/IL" --extra-cxxflags="-I/opt/vc/include/IL" --extra-libs="-L/opt/vc/lib" --extra-cflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cxxflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-cxxflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-libs="-lEGL"
endif

#Mythplugins configure opts
MYTHPLUGINS_CONFIGURE_OPTS += --prefix=/usr \
                              --enable-all  \
                              --zm-version=1.22.3 \ 
                              --qmake=/usr/bin/qmake \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHPLUGINS_CONFIGURE_OPTS += --disable-opengl
endif

#Use moar CPUs for jya
PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
ifeq (0,$(PROCESSORS))
PROCESSORS := 1
endif

#link problem with binutils 2.21 in precise
#and ffmpeg sync from 0.26, libswscale
LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)

# Need a writable home directory for ccache
export HOME=$(CURDIR)/debian/home

%:
	dh $@ --parallel --with systemd

#Rather than have a configure/build/install phase, combine them all so we can do each part in order
override_dh_auto_install:
	if [ -f mythtv/VERSION ] && [ -f debian/DESCRIBE ]; then \
		mv mythtv/VERSION mythtv/VERSION.old ;\
		cp debian/DESCRIBE mythtv/VERSION ;\
	fi
	cd mythtv && sh version.sh `pwd`

	mkdir $(CURDIR)/debian/home

	#mythtv
	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
	$(MAKE) -j$(PROCESSORS) -C mythtv
	$(MAKE) -C mythtv install INSTALL_ROOT=$(CURDIR)/debian/tmp

	#mythplugins
	cd mythplugins && ./configure $(MYTHPLUGINS_CONFIGURE_OPTS) --mythroot=$(CURDIR)/debian/tmp
	$(MAKE) -j$(PROCESSORS) -C mythplugins
	for plugin in mytharchive \
	mythgallery mythgame mythmusic mythmovies mythnews \
	mythweather mythzoneminder mythbrowser mythnetvision ; do \
		$(MAKE) -C mythplugins/$$plugin install INSTALL_ROOT=$(CURDIR)/debian/$$plugin; \
	done

	#(MythTV) We replace these with shell scripts
	mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
	mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real

	#(All) Make sure python/perl scripts are executable
	find debian/tmp/usr/share -type f \( -iname "*.p[y|l]" ! -iname "oauth_api.py" \) -size +1b -exec chmod 755 {} \;

	#Set up python package properly
	dh_python2 -plibmyth-python

override_dh_install:
	mkdir -p ${buildroot}/etc/php5/apache2/conf.d; \
	cp debian/20-mythweb.ini   ${buildroot}/etc/php5/apache2/conf.d; \
	mkdir -p ${buildroot}/etc/php/7.0/apache2/conf.d; \
	cp debian/20-mythweb.ini   ${buildroot}/etc/php/7.0/apache2/conf.d; \
	dh_install -Xusr/share/mythtv/fonts/Free \
                   -Xusr/share/mythtv/fonts/Purisa \
                   -Xusr/share/mythtv/fonts/Droid \
                   -Xusr/share/mythtv/fonts/texgyrechorus \
                   -Xusr/lib/libmythzmq.la \
                   -Xusr/share/mythtv/fonts/tiresias_gpl3.txt \
                   -XLICENSE \
                   -X.git \
                   -Xscriptaculous \
                   -Xprototype.js \
                   -Xjquery.min.js \
                   --fail-missing

override_dh_installinit:
	dh_installinit

	#(MythTV) Remove license files
	find debian/tmp -name "COPYING" -delete
	find debian/tmp -name "README.license" -delete

	#(MythTV) Set correct permissions for png and html files
	find debian/tmp -regex '.*\.png$$' -print0 | xargs -0 -r chmod 644
	find debian/tmp -regex '.*\.html$$' -print0 | xargs -0 -r chmod 644

override_dh_strip:
	dh_strip --dbg-package=mythtv-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V -Xusr/lib/mythtv/filters

override_dh_compress:
	dh_compress -X.pl -X.py

override_dh_fixperms:
	dh_fixperms -X.pl -X.py
	#themes shouldn't be like this
	for type in png html txt jpg xml ; do \
		find debian -name "*.$$type" -type f -exec chmod -x {} \; ;\
	done

override_dh_auto_clean:
	[ -f mythtv/config.mak ] && $(MAKE) -C mythtv distclean || true
	[ -f mythplugins/config.pro ] && $(MAKE) -C mythplugins distclean || true
	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
	dh_auto_clean
	debconf-updatepo
	rm -rf $(CURDIR)/debian/home

override_dh_installdocs:
	dh_installdocs
	#(MythTV) Remove license files from contrib documentation.
	find debian/mythtv-backend/usr/share/doc/mythtv-backend/contrib \
		-name "COPYING" -delete
	rm -f debian/mythtv-common/usr/share/mythtv/themes/Terra/watermarks/README.license

	#(MythWeb)
	for file in LICENSE README INSTALL; do \
		rm -f debian/mythweb/usr/share/mythtv/mythweb/$$file ;\
	done
	find debian/mythweb -name ".gitignore" -type f -delete || true
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/tv_icons
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/cache

	#(Myththemes)
	rm -f debian/mythtv-theme-childish/usr/share/mythtv/themes/Childish/COPYING

override_dh_installman:
	debian/generate_manpages.sh
	dh_installman

## mythtv 29.0+fixes.20170728.696806310a

=== debian/changelog ===
mythtv (2:29.0+fixes.20170728.696806310a-0ubuntu1) artful; urgency=medium

  * Scripted Build from fixes git packaging [df48cb4]
  * Packaging changes between  and 20170728:
  * New upstream checkout (696806310a)

 -- Thomas Mashos <thomas@mashos.com>  Fri, 28 Jul 2017 16:16:05 -0700

mythtv (2:29.0~master-manualbuildubuntu1) zesty; urgency=medium

  * Dummy entry to bump version to 29.0 from 0.29

 -- Thomas Mashos <thomas@mashos.com>  Sun, 11 Jun 2017 12:33:39 -0700

mythtv (2:0.29.0~dummychangelogentry-manualbuild) jessie; urgency=low

  * Dummy changelog entry to bump version to 0.27.5 as
    this changelog.in in packaging is not automatically updated
    at present.  This entry allows build-{dsc/debs}.sh to pick
    up "0.27.5" version at present.

 -- Simon Iremonger <debian@iremonger.me.uk>  Fri, 21 Aug 2015 15:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -268,6 +268,8 @@
          libmyth-python,
          python,
          python-imdbpy,
+         libgles2-mesa-dev [armhf],
+         libegl1-mesa-dev [armhf],
 Recommends: libmythtv-perl, python-imaging, udisks2 | udisks
 Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ntp | time-daemon | ntp-simple
 Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
@@ -287,13 +289,10 @@
  For a complete installation of all MythTV components, install the 'mythtv'
  package.
 
-Package: libmyth-0.28-0
+Package: libmyth
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, libqt5sql5-mysql, ${misc:Depends}
-Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0
-Replaces: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0
+Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0, libmyth-0.28-0, libmyth-0.29-0, libmyth-29-0
+Replaces: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0, libmyth-0.27-0, libmyth-0.28-0, libmyth-0.29-0, libmyth-29-0
 Description: Common library code for MythTV and add-on modules (runtime)
- MythTV provides a unified graphical interface for recording and viewing
- television programs. Refer to the mythtv package for more information.
- .

## mythtv 29.1%2Bfixes.20180414.329c235

=== bindings/python/Makefile ===
include ../../config.mak

ifdef INSTALL_ROOT
	ROOT_FLAGS = --root="$(INSTALL_ROOT)"
endif

REAL_PREFIX = $(PREFIX)
ifneq ($(PREFIX:/=), /usr)
	ifneq ($(PREFIX:/=), /usr/local)
		PREFIX_FLAGS=--prefix="$(PREFIX)"
	endif
endif

all: python_build

clean:
	$(PYTHON) setup.py clean --all

distclean: clean

python_build: setup.py
	$(PYTHON) setup.py build --mythtv-prefix="$(REAL_PREFIX)"

install: setup.py
	$(PYTHON) setup.py install --skip-build $(ROOT_FLAGS) $(PREFIX_FLAGS)

ifdef INSTALL_ROOT
uninstall:
	$(warning make -C bindings/python uninstall is not supported with $$(INSTALL_ROOT))
else
uninstall: setup.py
	$(PYTHON) setup.py uninstall $(PREFIX_FLAGS)
endif

.PHONY: all clean distclean install python_build uninstall
